(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     60205,       1843]
NotebookOptionsPosition[     55656,       1716]
NotebookOutlinePosition[     56042,       1733]
CellTagsIndexPosition[     55999,       1730]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 StyleBox[
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Notebook", " ", "for", " ", "Running", " ", "the", " ", "Homogenize"}], 
     "-", "And", "-", 
     RowBox[{"Solve", " ", 
      RowBox[{"Program", ".", " ", "\[IndentingNewLine]", "Notebook"}], " ", 
      "created", " ", "on", " ", "October", " ", "14"}]}], ",", "2012", ",", 
    StyleBox[
     RowBox[{" ", " "}]], 
    RowBox[{"in", " ", 
     StyleBox["Mathematica",
      FontSlant->"Italic"], 
     StyleBox[" ",
      FontSlant->"Italic"], 
     StyleBox["v8",
      FontSlant->"Italic"], 
     RowBox[{".1", ".", " ", "The"}], " ", "package", " ", "was", " ", "not", 
     " ", "yet", " ", "tested", " ", "with", " ", "earlier", " ", "versions", 
     " ", "of", " ", 
     RowBox[{
      StyleBox["Mathematica",
       FontSlant->"Italic"], "."}]}]}], " ", "*)"}],
  FontSize->18]], "Input",
 CellChangeTimes->{{3.559329903954*^9, 3.559330012216*^9}, 
   3.559330098731*^9, {3.5593301294519997`*^9, 3.5593302299300003`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Set", " ", "the", " ", "directory", " ", "to", " ", "the", " ", 
    "location", " ", "where", " ", "the", " ", "files", " ", "for", " ", 
    "Homogenize"}], "-", "And", "-", 
   RowBox[{
    RowBox[{"Solve", ".", "m"}], " ", "are", " ", 
    RowBox[{"stored", ".", " ", "All"}], " ", "data", " ", "files", " ", 
    "must", " ", "be", " ", "in", " ", "the", " ", "same", " ", 
    RowBox[{"directory", ".", " ", 
     RowBox[{"Format", ":", 
      RowBox[{
      "SetDirectory", "[", "\"\<d:\\\\myPCDirectory\\\\subdirectory\>\"", 
       "]"}]}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.559328962967*^9, 3.55932896621*^9}, {3.559329014826*^9, 
   3.559329051455*^9}, 3.5593295081029997`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  "\"\<e:\\\\data\\\\cook\\\\Software-2012-10-14\\\\onweb2012\>\"", 
  "]"}]], "Input",
 CellChangeTimes->{{3.547411066188012*^9, 3.547411068900094*^9}, {
   3.547745307121464*^9, 3.547745310358356*^9}, {3.5479995490342655`*^9, 
   3.5479995577684174`*^9}, {3.548106634009993*^9, 3.548106637006629*^9}, {
   3.5484336661047745`*^9, 3.5484336716672387`*^9}, {3.548986552323249*^9, 
   3.548986555710573*^9}, 3.552221349647161*^9, {3.5557862243580017`*^9, 
   3.555786232779661*^9}, {3.559185272508*^9, 3.559185272697*^9}, {
   3.559244610554*^9, 3.559244618807*^9}, {3.559329849314*^9, 
   3.559329854304*^9}}],

Cell[BoxData["\<\"e:\\\\data\\\\cook\\\\Software-2012-10-14\\\\onweb2012\"\>"]\
, "Output",
 CellChangeTimes->{3.55933025258*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Load", " ", "the", " ", "program", " ", "file", " ", "into", " ", "the", 
   " ", 
   RowBox[{"notebook", "."}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Using", " ", "a", " ", "simplified", " ", "version", " ", "of", " ", 
    RowBox[{"Hirota", "'"}], "s", " ", "method"}], ",", " ", 
   RowBox[{
    RowBox[{
    "the", " ", "program", " ", "computes", " ", "solitary", " ", "wave", " ",
      "and", " ", "upto", " ", "three"}], "-", 
    RowBox[{
    "soliton", " ", "solutions", " ", "for", " ", "nonlinear", " ", 
     "polynomial", " ", "evolution", " ", 
     RowBox[{"equations", ".", " ", "\[IndentingNewLine]", "A"}], " ", "PDE", 
     " ", "can", " ", "be", " ", "chosen", " ", "from", " ", "the", " ", 
     "menu", " ", "when", " ", "the", " ", "program", " ", "starts"}]}], ",", 
   RowBox[{
   "or", " ", "can", " ", "be", " ", "entered", " ", "via", " ", "a", " ", 
    "separate", " ", "data", " ", "file", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
      "similar", " ", "to", " ", "the", " ", "data", " ", "files", " ", 
       "provided"}], ")"}], "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.559329715113*^9, 3.559329809874*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Get", "[", "\"\<Homogenize-And-Solve-Oct14-2012-v1-wh.m\>\"", 
  "]"}]], "Input",
 CellChangeTimes->{{3.559185297507*^9, 3.559185326532*^9}, {3.559244624375*^9,
   3.5592446324379997`*^9}, {3.559244764448*^9, 3.5592447656470003`*^9}, {
  3.559329458535*^9, 3.559329483782*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"************************************************************\
********\"\>"], "Print",
 CellChangeTimes->{3.55933025671*^9}],

Cell[BoxData["\<\"WELCOME TO THE MATHEMATICA SOFTWARE PACKAGE \
HOMOGENIZE-AND-SOLVE.M  \"\>"], "Print",
 CellChangeTimes->{3.559330256712*^9}],

Cell[BoxData["\<\"        by ANDREW COOK, WILLY HEREMAN, and UNAL GOKTAS.     \
        \"\>"], "Print",
 CellChangeTimes->{3.559330256718*^9}],

Cell[BoxData["\<\"   THE CODE COMPUTES SOLITARY WAVE SOLUTIONS AND SOLITON \
SOLUTIONS  \"\>"], "Print",
 CellChangeTimes->{3.559330256722*^9}],

Cell[BoxData["\<\"                OF SOME NONLINEAR EVOLUTION EQUATIONS       \
        \"\>"], "Print",
 CellChangeTimes->{3.559330256724*^9}],

Cell[BoxData["\<\"          BASED ON A SIMPLIFIED VERSION OF HIROTA'S METHOD. \
        \"\>"], "Print",
 CellChangeTimes->{3.559330256726*^9}],

Cell[BoxData["\<\"               Version 1 released on October 14, 2012       \
        \"\>"], "Print",
 CellChangeTimes->{3.5593302567279997`*^9}],

Cell[BoxData["\<\"************************************************************\
********\"\>"], "Print",
 CellChangeTimes->{3.559330256733*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  *** MENU INTERFACE ***  (page: \"\>", "\[InvisibleSpace]", 
   "1", "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  *** MENU INTERFACE ***  (page: ", 1, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330256736*^9}],

Cell[BoxData["\<\"---------------------------------------------------\"\>"], \
"Print",
 CellChangeTimes->{3.55933025674*^9}],

Cell[BoxData["\<\"  (1) KdV Equation (h_kdv.m)\"\>"], "Print",
 CellChangeTimes->{3.559330256742*^9}],

Cell[BoxData["\<\"  (2) Modified KdV Equation (h_mkdv.m)\"\>"], "Print",
 CellChangeTimes->{3.559330256745*^9}],

Cell[BoxData["\<\"  (3) Burgers Equation (h_burg.m)\"\>"], "Print",
 CellChangeTimes->{3.559330256748*^9}],

Cell[BoxData["\<\"  (4) Kupershmidt Equation (h_kuper.m)\"\>"], "Print",
 CellChangeTimes->{3.55933025675*^9}],

Cell[BoxData["\<\"  (5) Fifth Order KdV Equation-KK Case (h_5kk.m)\"\>"], \
"Print",
 CellChangeTimes->{3.559330256752*^9}],

Cell[BoxData["\<\"  (6) Fifth Order KdV Equation-Ito Case (h_5ito.m)\"\>"], \
"Print",
 CellChangeTimes->{3.5593302567539997`*^9}],

Cell[BoxData["\<\"  (7) Fifth Order KdV Equation (h_pa5kdv.m)\"\>"], "Print",
 CellChangeTimes->{3.559330256756*^9}],

Cell[BoxData["\<\"  (8) Fifth Order Sawada-Kotera KdV Equation \
(h_skkdv.m)\"\>"], "Print",
 CellChangeTimes->{3.559330256758*^9}],

Cell[BoxData["\<\"  (9) Fifth Order Lax KdV Equation (h_laxkdv.m)\"\>"], \
"Print",
 CellChangeTimes->{3.55933025676*^9}],

Cell[BoxData["\<\" (10) Fifth Order Kaup-Kupershmidt KdV Equation (h_kkkdv.m)\
\"\>"], "Print",
 CellChangeTimes->{3.559330256762*^9}],

Cell[BoxData["\<\" (nn) Next Page\"\>"], "Print",
 CellChangeTimes->{3.559330256764*^9}],

Cell[BoxData["\<\" (tt) Your System\"\>"], "Print",
 CellChangeTimes->{3.559330256766*^9}],

Cell[BoxData["\<\" (qq) Exit the Program\"\>"], "Print",
 CellChangeTimes->{3.5593302567679996`*^9}],

Cell[BoxData["\<\"---------------------------------------------------\"\>"], \
"Print",
 CellChangeTimes->{3.55933025677*^9}],

Cell[BoxData["\<\"Read in the menu.\"\>"], "Print",
 CellChangeTimes->{3.5593302608529997`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Working with the data file for the \"\>", 
   "\[InvisibleSpace]", "\<\"KdV Equation\"\>", 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Working with the data file for the ", "KdV Equation", "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330260855*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Equation \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of the system with \"\>", "\[InvisibleSpace]", 
   "1", "\[InvisibleSpace]", "\<\" equation(s):\"\>"}],
  SequenceForm["Equation ", 1, " of the system with ", 1, " equation(s):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330260858*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"u", "[", "1", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x", ",", "t"}], "]"}], "+", 
    RowBox[{"alpha", " ", 
     RowBox[{
      RowBox[{"u", "[", "1", "]"}], "[", 
      RowBox[{"x", ",", "t"}], "]"}], " ", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"u", "[", "1", "]"}], 
       TagBox[
        RowBox[{"(", 
         RowBox[{"1", ",", "0"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"u", "[", "1", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"3", ",", "0"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x", ",", "t"}], "]"}]}], "\[InvisibleSpace]", "\<\" = 0\"\>"}],
  SequenceForm["  ", Derivative[0, 1][
     $CellContext`u[
     1]][$CellContext`x, $CellContext`t] + $CellContext`alpha $CellContext`u[
     1][$CellContext`x, $CellContext`t] Derivative[1, 0][
      $CellContext`u[1]][$CellContext`x, $CellContext`t] + Derivative[3, 0][
     $CellContext`u[1]][$CellContext`x, $CellContext`t], " = 0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5593302608599997`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Highest order of derivative in the system is \"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["Highest order of derivative in the system is ", 3, "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.5593302608789997`*^9}],

Cell[BoxData["\<\"---------------------------------------------------\"\>"], \
"Print",
 CellChangeTimes->{3.559330260881*^9}],

Cell[BoxData["\<\"***** Begin 'homogenize' module *****\"\>"], "Print",
 CellChangeTimes->{3.559330260882*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The given PDE can be integrated \"\>", "\[InvisibleSpace]", 
   "1", "\[InvisibleSpace]", "\<\" time(s) with respect to x. After \
integration, the PDE becomes: \"\>"}],
  SequenceForm[
  "The given PDE can be integrated ", 1, 
   " time(s) with respect to x. After integration, the PDE becomes: "],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330261434*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Integral]", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"u", "[", "1", "]"}], 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"x", ",", "t"}], "]"}], 
    RowBox[{"\[DifferentialD]", "x"}]}]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "alpha", " ", 
   SuperscriptBox[
    RowBox[{
     RowBox[{"u", "[", "1", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}], "2"]}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"u", "[", "1", "]"}], 
    TagBox[
     RowBox[{"(", 
      RowBox[{"2", ",", "0"}], ")"}],
     Derivative],
    MultilineFunction->None], "[", 
   RowBox[{"x", ",", "t"}], "]"}]}]], "Print",
 CellChangeTimes->{3.5593302614630003`*^9}],

Cell[BoxData["\<\"The code attempts to homogenize the PDE with the following \
logarithmic-derivative transformation: \"\>"], "Print",
 CellChangeTimes->{3.559330261466*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"u[x,t] = \"\>", "\[InvisibleSpace]", 
   FractionBox[
    RowBox[{"K", " ", 
     RowBox[{
      SuperscriptBox["F", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"1", ",", "0"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], 
    RowBox[{"F", "[", 
     RowBox[{"x", ",", "t"}], "]"}]]}],
  SequenceForm[
  "u[x,t] = ", K $CellContext`F[$CellContext`x, $CellContext`t]^(-1) 
   Derivative[1, 0][$CellContext`F][$CellContext`x, $CellContext`t]],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330261469*^9}],

Cell[BoxData["\<\"No suitable nonzero values for K were found. The code tries \
another transformation.\"\>"], "Print",
 CellChangeTimes->{3.559330261612*^9}],

Cell[BoxData["\<\"The code attempts to homogenize the PDE with the following \
logarithmic-derivative transformation: \"\>"], "Print",
 CellChangeTimes->{3.5593302616140003`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"u[x,t] = \"\>", "\[InvisibleSpace]", 
   RowBox[{"K", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["F", 
           TagBox[
            RowBox[{"(", 
             RowBox[{"1", ",", "0"}], ")"}],
            Derivative],
           MultilineFunction->None], "[", 
          RowBox[{"x", ",", "t"}], "]"}], "2"], 
        SuperscriptBox[
         RowBox[{"F", "[", 
          RowBox[{"x", ",", "t"}], "]"}], "2"]]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox["F", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "t"}], "]"}], 
       RowBox[{"F", "[", 
        RowBox[{"x", ",", "t"}], "]"}]]}], ")"}]}]}],
  SequenceForm[
  "u[x,t] = ", 
   K (-$CellContext`F[$CellContext`x, $CellContext`t]^(-2) 
     Derivative[
       1, 0][$CellContext`F][$CellContext`x, $CellContext`t]^2 + \
$CellContext`F[$CellContext`x, $CellContext`t]^(-1) 
     Derivative[2, 0][$CellContext`F][$CellContext`x, $CellContext`t])],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330261617*^9}],

Cell[BoxData["\<\"Possible nonzero K values are: \"\>"], "Print",
 CellChangeTimes->{3.5593302619709997`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"K", "\[Rule]", 
   FractionBox["12", "alpha"]}], "}"}]], "Print",
 CellChangeTimes->{3.559330261973*^9}],

Cell[BoxData["\<\"------------------------------------\"\>"], "Print",
 CellChangeTimes->{3.559330261976*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CHOICE \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\": Examining the PDE using \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"K", "\[Rule]", 
    FractionBox["12", "alpha"]}]}],
  SequenceForm[
  "CHOICE ", 1, ": Examining the PDE using ", K -> 12/$CellContext`alpha],
  Editable->False]], "Print",
 CellChangeTimes->{3.5593302619779997`*^9}],

Cell[BoxData["\<\"The homogenized PDE is: \"\>"], "Print",
 CellChangeTimes->{3.55933026198*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], " ", 
     RowBox[{
      SuperscriptBox["F", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"1", ",", "0"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"F", "[", 
      RowBox[{"x", ",", "t"}], "]"}], " ", 
     RowBox[{
      SuperscriptBox["F", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"1", ",", "1"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}], "2"]}], "-", 
    RowBox[{"4", " ", 
     RowBox[{
      SuperscriptBox["F", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"1", ",", "0"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x", ",", "t"}], "]"}], " ", 
     RowBox[{
      SuperscriptBox["F", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"3", ",", "0"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"F", "[", 
      RowBox[{"x", ",", "t"}], "]"}], " ", 
     RowBox[{
      SuperscriptBox["F", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"4", ",", "0"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}]}], 
   "\[InvisibleSpace]", "\<\" = 0\"\>"}],
  SequenceForm[-
    Derivative[0, 1][$CellContext`F][$CellContext`x, $CellContext`t] 
    Derivative[
     1, 0][$CellContext`F][$CellContext`x, $CellContext`t] + \
$CellContext`F[$CellContext`x, $CellContext`t] 
    Derivative[1, 1][$CellContext`F][$CellContext`x, $CellContext`t] + 
   3 Derivative[2, 0][$CellContext`F][$CellContext`x, $CellContext`t]^2 - 4 
   Derivative[1, 0][$CellContext`F][$CellContext`x, $CellContext`t] 
   Derivative[
    3, 0][$CellContext`F][$CellContext`x, $CellContext`t] + \
$CellContext`F[$CellContext`x, $CellContext`t] 
    Derivative[4, 0][$CellContext`F][$CellContext`x, $CellContext`t], " = 0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330261983*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The PDE is homogeneous in the dependent variable with degree: \
\"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm[
  "The PDE is homogeneous in the dependent variable with degree: ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330261986*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Time used by 'homogenize' module: \"\>", "\[InvisibleSpace]", 
   "0.43599999999999994`", "\[InvisibleSpace]", "\<\" seconds\"\>"}],
  SequenceForm[
  "Time used by 'homogenize' module: ", 0.43599999999999994`, " seconds"],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330261988*^9}],

Cell[BoxData["\<\"***** End 'homogenize' module *****\"\>"], "Print",
 CellChangeTimes->{3.559330261991*^9}],

Cell[BoxData["\<\"---------------------------------------------------\"\>"], \
"Print",
 CellChangeTimes->{3.559330265645*^9}],

Cell[BoxData["\<\"The selected homogenized PDE is: \"\>"], "Print",
 CellChangeTimes->{3.5593302656470003`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], " ", 
     RowBox[{
      SuperscriptBox["F", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"1", ",", "0"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"F", "[", 
      RowBox[{"x", ",", "t"}], "]"}], " ", 
     RowBox[{
      SuperscriptBox["F", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"1", ",", "1"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}], "2"]}], "-", 
    RowBox[{"4", " ", 
     RowBox[{
      SuperscriptBox["F", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"1", ",", "0"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x", ",", "t"}], "]"}], " ", 
     RowBox[{
      SuperscriptBox["F", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"3", ",", "0"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"F", "[", 
      RowBox[{"x", ",", "t"}], "]"}], " ", 
     RowBox[{
      SuperscriptBox["F", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"4", ",", "0"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}]}], 
   "\[InvisibleSpace]", "\<\" = 0\"\>"}],
  SequenceForm[-
    Derivative[0, 1][$CellContext`F][$CellContext`x, $CellContext`t] 
    Derivative[
     1, 0][$CellContext`F][$CellContext`x, $CellContext`t] + \
$CellContext`F[$CellContext`x, $CellContext`t] 
    Derivative[1, 1][$CellContext`F][$CellContext`x, $CellContext`t] + 
   3 Derivative[2, 0][$CellContext`F][$CellContext`x, $CellContext`t]^2 - 4 
   Derivative[1, 0][$CellContext`F][$CellContext`x, $CellContext`t] 
   Derivative[
    3, 0][$CellContext`F][$CellContext`x, $CellContext`t] + \
$CellContext`F[$CellContext`x, $CellContext`t] 
    Derivative[4, 0][$CellContext`F][$CellContext`x, $CellContext`t], " = 0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.55933026565*^9}],

Cell[BoxData["\<\"---------------------------------------------------\"\>"], \
"Print",
 CellChangeTimes->{3.559330265652*^9}],

Cell[BoxData["\<\"***** Begin 'solitonsoln' module *****\"\>"], "Print",
 CellChangeTimes->{3.559330271316*^9}],

Cell[BoxData["\<\"Substituting F[x,t]: \"\>"], "Print",
 CellChangeTimes->{3.559330273634*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"F[x,t] = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    RowBox[{"\[Epsilon]", " ", 
     RowBox[{
      RowBox[{"f", "[", "1", "]"}], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["\[Epsilon]", "2"], " ", 
     RowBox[{
      RowBox[{"f", "[", "2", "]"}], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["\[Epsilon]", "3"], " ", 
     RowBox[{
      RowBox[{"f", "[", "3", "]"}], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["\[Epsilon]", "4"], " ", 
     RowBox[{
      RowBox[{"f", "[", "4", "]"}], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["\[Epsilon]", "5"], " ", 
     RowBox[{
      RowBox[{"f", "[", "5", "]"}], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["\[Epsilon]", "6"], " ", 
     RowBox[{
      RowBox[{"f", "[", "6", "]"}], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["\[Epsilon]", "7"], " ", 
     RowBox[{
      RowBox[{"f", "[", "7", "]"}], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["\[Epsilon]", "8"], " ", 
     RowBox[{
      RowBox[{"f", "[", "8", "]"}], "[", 
      RowBox[{"x", ",", "t"}], "]"}]}]}]}],
  SequenceForm[
  "F[x,t] = ", 
   1 + $CellContext`\[Epsilon] $CellContext`f[
     1][$CellContext`x, $CellContext`t] + $CellContext`\[Epsilon]^2 \
$CellContext`f[
     2][$CellContext`x, $CellContext`t] + $CellContext`\[Epsilon]^3 \
$CellContext`f[
     3][$CellContext`x, $CellContext`t] + $CellContext`\[Epsilon]^4 \
$CellContext`f[
     4][$CellContext`x, $CellContext`t] + $CellContext`\[Epsilon]^5 \
$CellContext`f[
     5][$CellContext`x, $CellContext`t] + $CellContext`\[Epsilon]^6 \
$CellContext`f[
     6][$CellContext`x, $CellContext`t] + $CellContext`\[Epsilon]^7 \
$CellContext`f[
     7][$CellContext`x, $CellContext`t] + $CellContext`\[Epsilon]^8 \
$CellContext`f[8][$CellContext`x, $CellContext`t]],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330273637*^9}],

Cell[BoxData["\<\"Because of the user's choice of exponentials, the code \
takes f[1][x,t] as follows: \"\>"], "Print",
 CellChangeTimes->{3.559330273641*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
   RowBox[{"x", ",", "t"}], "]"}], "+", 
  RowBox[{
   RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
   RowBox[{"x", ",", "t"}], "]"}], "+", 
  RowBox[{
   RowBox[{"\[Phi]", "[", "3", "]"}], "[", 
   RowBox[{"x", ",", "t"}], "]"}]}]], "Print",
 CellChangeTimes->{3.5593302736429996`*^9}],

Cell[BoxData["\<\"where \[Phi][i][x,t] = Exp[\[Theta][i]] and \[Theta][i] = \
k[i]*x - \[Omega][i]*t + \[Delta][i]\"\>"], "Print",
 CellChangeTimes->{3.559330273645*^9}],

Cell[BoxData["\<\"The dispersion relation (relation for k and \[Omega]) is: \
\"\>"], "Print",
 CellChangeTimes->{3.559330273725*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[Omega]", "[", "i_", "]"}], "\[Rule]", 
   SuperscriptBox[
    RowBox[{"k", "[", "i", "]"}], "3"]}], "}"}]], "Print",
 CellChangeTimes->{3.559330273727*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Because of the terms found at order \"\>", "\[InvisibleSpace]", 
   SuperscriptBox["\[Epsilon]", "2"], "\[InvisibleSpace]", "\<\", f[\"\>", 
   "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"][x,t] has been selected as: \"\>"}],
  SequenceForm[
  "Because of the terms found at order ", $CellContext`\[Epsilon]^2, ", f[", 
   2, "][x,t] has been selected as: "],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330273793*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", "2", "]"}], "[", "1", "]"}], " ", 
   RowBox[{
    RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
    RowBox[{"x", ",", "t"}], "]"}], " ", 
   RowBox[{
    RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
    RowBox[{"x", ",", "t"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", "2", "]"}], "[", "2", "]"}], " ", 
   RowBox[{
    RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
    RowBox[{"x", ",", "t"}], "]"}], " ", 
   RowBox[{
    RowBox[{"\[Phi]", "[", "3", "]"}], "[", 
    RowBox[{"x", ",", "t"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", "2", "]"}], "[", "3", "]"}], " ", 
   RowBox[{
    RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
    RowBox[{"x", ",", "t"}], "]"}], " ", 
   RowBox[{
    RowBox[{"\[Phi]", "[", "3", "]"}], "[", 
    RowBox[{"x", ",", "t"}], "]"}]}]}]], "Print",
 CellChangeTimes->{3.559330273796*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The final list of a[\"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"][j] coefficients is: \"\>"}],
  SequenceForm["The final list of a[", 2, "][j] coefficients is: "],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330273851*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"a", "[", "2", "]"}], "[", "1", "]"}], "\[Rule]", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "-", 
        RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "+", 
        RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"]]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"a", "[", "2", "]"}], "[", "2", "]"}], "\[Rule]", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "-", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "+", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"a", "[", "2", "]"}], "[", "3", "]"}], "\[Rule]", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "2", "]"}], "-", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "2", "]"}], "+", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]]}]}], "}"}]], "Print",
 CellChangeTimes->{3.559330273854*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Because of the terms found at order \"\>", "\[InvisibleSpace]", 
   SuperscriptBox["\[Epsilon]", "3"], "\[InvisibleSpace]", "\<\", f[\"\>", 
   "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"][x,t] has been selected as: \"\>"}],
  SequenceForm[
  "Because of the terms found at order ", $CellContext`\[Epsilon]^3, ", f[", 
   3, "][x,t] has been selected as: "],
  Editable->False]], "Print",
 CellChangeTimes->{3.55933027413*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "3", "]"}], "[", "1", "]"}], " ", 
  RowBox[{
   RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
   RowBox[{"x", ",", "t"}], "]"}], " ", 
  RowBox[{
   RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
   RowBox[{"x", ",", "t"}], "]"}], " ", 
  RowBox[{
   RowBox[{"\[Phi]", "[", "3", "]"}], "[", 
   RowBox[{"x", ",", "t"}], "]"}]}]], "Print",
 CellChangeTimes->{3.559330274133*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The final list of a[\"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"][j] coefficients is: \"\>"}],
  SequenceForm["The final list of a[", 3, "][j] coefficients is: "],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330274223*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", "3", "]"}], "[", "1", "]"}], "\[Rule]", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "-", 
        RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "-", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "2", "]"}], "-", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "+", 
        RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "+", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "2", "]"}], "+", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]}]]}], "}"}]], "Print",
 CellChangeTimes->{3.559330274226*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"At \"\>", "\[InvisibleSpace]", 
   SuperscriptBox["\[Epsilon]", "4"], 
   "\[InvisibleSpace]", "\<\" all terms not involving f[\"\>", 
   "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"][x,t] are zero, therefore the code sets f[\"\>",
    "\[InvisibleSpace]", "4", "\[InvisibleSpace]", "\<\"][x,t] = 0\"\>"}],
  SequenceForm[
  "At ", $CellContext`\[Epsilon]^4, " all terms not involving f[", 4, 
   "][x,t] are zero, therefore the code sets f[", 4, "][x,t] = 0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330274994*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"At \"\>", "\[InvisibleSpace]", 
   SuperscriptBox["\[Epsilon]", "5"], 
   "\[InvisibleSpace]", "\<\" all terms not involving f[\"\>", 
   "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\"][x,t] are zero, therefore the code sets f[\"\>",
    "\[InvisibleSpace]", "5", "\[InvisibleSpace]", "\<\"][x,t] = 0\"\>"}],
  SequenceForm[
  "At ", $CellContext`\[Epsilon]^5, " all terms not involving f[", 5, 
   "][x,t] are zero, therefore the code sets f[", 5, "][x,t] = 0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.55933027555*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"At \"\>", "\[InvisibleSpace]", 
   SuperscriptBox["\[Epsilon]", "6"], 
   "\[InvisibleSpace]", "\<\" all terms not involving f[\"\>", 
   "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\"][x,t] are zero, therefore the code sets f[\"\>",
    "\[InvisibleSpace]", "6", "\[InvisibleSpace]", "\<\"][x,t] = 0\"\>"}],
  SequenceForm[
  "At ", $CellContext`\[Epsilon]^6, " all terms not involving f[", 6, 
   "][x,t] are zero, therefore the code sets f[", 6, "][x,t] = 0"],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330275836*^9}],

Cell[BoxData["\<\"---------------------------------------------------------\"\
\>"], "Print",
 CellChangeTimes->{3.5593302758380003`*^9}],

Cell[BoxData["\<\"The operator formalism guarantees that all further \
f[i][x,t] will be zero because the previous f[i][x,t] were zero. Thus, the \
code has found a solution:\"\>"], "Print",
 CellChangeTimes->{3.55933027584*^9}],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{
   RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
   RowBox[{"x", ",", "t"}], "]"}], "+", 
  RowBox[{
   RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
   RowBox[{"x", ",", "t"}], "]"}], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "1", "]"}], "-", 
       RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"k", "[", "1", "]"}], "+", 
      RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"]], "+", 
  RowBox[{
   RowBox[{"\[Phi]", "[", "3", "]"}], "[", 
   RowBox[{"x", ",", "t"}], "]"}], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "1", "]"}], "-", 
       RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "3", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"k", "[", "1", "]"}], "+", 
      RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "2", "]"}], "-", 
       RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "3", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"k", "[", "2", "]"}], "+", 
      RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "1", "]"}], "-", 
       RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "1", "]"}], "-", 
       RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "2", "]"}], "-", 
       RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "3", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}]}], 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "1", "]"}], "+", 
       RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "1", "]"}], "+", 
       RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "2", "]"}], "+", 
       RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]}]]}]], "Print",
 CellChangeTimes->{3.559330275843*^9}],

Cell[BoxData["\<\"where the a[i][j]'s are: \"\>"], "Print",
 CellChangeTimes->{3.559330275848*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"a", "[", "2", "]"}], "[", "1", "]"}], "\[Rule]", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "-", 
        RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "+", 
        RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"]]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"a", "[", "2", "]"}], "[", "2", "]"}], "\[Rule]", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "-", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "+", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"a", "[", "2", "]"}], "[", "3", "]"}], "\[Rule]", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "2", "]"}], "-", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "2", "]"}], "+", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"a", "[", "3", "]"}], "[", "1", "]"}], "\[Rule]", 
    FractionBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "1", "]"}], "-", 
         RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "1", "]"}], "-", 
         RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "2", "]"}], "-", 
         RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]}], 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "1", "]"}], "+", 
         RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "1", "]"}], "+", 
         RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "2", "]"}], "+", 
         RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]}]]}]}], "}"}]], "Print",
 CellChangeTimes->{3.559330275851*^9}],

Cell[BoxData["\<\"After replacement of the \[Phi]'s, the solution F[x,t] \
becomes: \"\>"], "Print",
 CellChangeTimes->{3.5593302758529997`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"F[x,t] = \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "+", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[Theta]", "[", "1", "]"}]], "+", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[Theta]", "[", "2", "]"}]], "+", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[Theta]", "[", "3", "]"}]], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"\[Theta]", "[", "1", "]"}], "+", 
        RowBox[{"\[Theta]", "[", "2", "]"}]}]], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "1", "]"}], "-", 
         RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "+", 
        RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"\[Theta]", "[", "1", "]"}], "+", 
        RowBox[{"\[Theta]", "[", "3", "]"}]}]], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "1", "]"}], "-", 
         RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "1", "]"}], "+", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"\[Theta]", "[", "2", "]"}], "+", 
        RowBox[{"\[Theta]", "[", "3", "]"}]}]], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "2", "]"}], "-", 
         RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "2", "]"}], "+", 
        RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"\[Theta]", "[", "1", "]"}], "+", 
        RowBox[{"\[Theta]", "[", "2", "]"}], "+", 
        RowBox[{"\[Theta]", "[", "3", "]"}]}]], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "1", "]"}], "-", 
         RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "1", "]"}], "-", 
         RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "2", "]"}], "-", 
         RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]}], 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "1", "]"}], "+", 
         RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "1", "]"}], "+", 
         RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "[", "2", "]"}], "+", 
         RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]}]]}]}],
  SequenceForm[
  "F[x,t] = ", 1 + E^$CellContext`\[Theta][1] + E^$CellContext`\[Theta][2] + 
   E^$CellContext`\[Theta][3] + 
   E^($CellContext`\[Theta][1] + $CellContext`\[Theta][2]) ($CellContext`k[
       1] - $CellContext`k[2])^2 ($CellContext`k[1] + $CellContext`k[2])^(-2) + 
   E^($CellContext`\[Theta][1] + $CellContext`\[Theta][3]) ($CellContext`k[
       1] - $CellContext`k[3])^2 ($CellContext`k[1] + $CellContext`k[3])^(-2) + 
   E^($CellContext`\[Theta][2] + $CellContext`\[Theta][3]) ($CellContext`k[
       2] - $CellContext`k[3])^2 ($CellContext`k[2] + $CellContext`k[3])^(-2) + 
   E^($CellContext`\[Theta][1] + $CellContext`\[Theta][
       2] + $CellContext`\[Theta][3]) ($CellContext`k[1] - $CellContext`k[
      2])^2 ($CellContext`k[1] + $CellContext`k[2])^(-2) ($CellContext`k[
       1] - $CellContext`k[3])^2 ($CellContext`k[2] - $CellContext`k[
      3])^2 ($CellContext`k[1] + $CellContext`k[3])^(-2) ($CellContext`k[
       2] + $CellContext`k[3])^(-2)],
  Editable->False]], "Print",
 CellChangeTimes->{3.5593302758570004`*^9}],

Cell[BoxData["\<\"where \[Theta][i] = k[i]*x - \[Omega][i]*t + \
\[Delta][i]\"\>"], "Print",
 CellChangeTimes->{3.559330275861*^9}],

Cell[BoxData["\<\"-----------------------------------------------\"\>"], \
"Print",
 CellChangeTimes->{3.5593302758640003`*^9}],

Cell[BoxData["\<\"Start of verification that F[x,t] is correct.\"\>"], "Print",
 CellChangeTimes->{3.559330275865*^9}],

Cell[BoxData["\<\"After substitution of F[x,t] into the homogenized PDE the \
result should equal zero. After substitution one obtains: \"\>"], "Print",
 CellChangeTimes->{3.559330275867*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{3.559330277191*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Time used by solitonsoln module: \"\>", "\[InvisibleSpace]", 
   "2.558`", "\[InvisibleSpace]", "\<\" seconds\"\>"}],
  SequenceForm["Time used by solitonsoln module: ", 2.558, " seconds"],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330277218*^9}],

Cell[BoxData["\<\"***** End 'solitonsoln' module *****\"\>"], "Print",
 CellChangeTimes->{3.5593302772200003`*^9}],

Cell[BoxData["\<\"---------------------------------------------------\"\>"], \
"Print",
 CellChangeTimes->{3.559330277222*^9}],

Cell[BoxData["\<\"Start of verification that the original PDE is satisfied.\"\
\>"], "Print",
 CellChangeTimes->{3.559330277225*^9}],

Cell[BoxData["\<\"The original PDE was: \"\>"], "Print",
 CellChangeTimes->{3.559330277227*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox[
    RowBox[{"u", "[", "1", "]"}], 
    TagBox[
     RowBox[{"(", 
      RowBox[{"0", ",", "1"}], ")"}],
     Derivative],
    MultilineFunction->None], "[", 
   RowBox[{"x", ",", "t"}], "]"}], "+", 
  RowBox[{"alpha", " ", 
   RowBox[{
    RowBox[{"u", "[", "1", "]"}], "[", 
    RowBox[{"x", ",", "t"}], "]"}], " ", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"u", "[", "1", "]"}], 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"x", ",", "t"}], "]"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"u", "[", "1", "]"}], 
    TagBox[
     RowBox[{"(", 
      RowBox[{"3", ",", "0"}], ")"}],
     Derivative],
    MultilineFunction->None], "[", 
   RowBox[{"x", ",", "t"}], "]"}]}]], "Print",
 CellChangeTimes->{3.559330277229*^9}],

Cell[BoxData["\<\"Recall that u[1][x,t], with the selected K substituted, is: \
\"\>"], "Print",
 CellChangeTimes->{3.5593302772320004`*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{"12", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["F", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "t"}], "]"}], "2"]}], "+", 
     RowBox[{
      RowBox[{"F", "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}]}]}], ")"}]}], 
  RowBox[{"alpha", " ", 
   SuperscriptBox[
    RowBox[{"F", "[", 
     RowBox[{"x", ",", "t"}], "]"}], "2"]}]]], "Print",
 CellChangeTimes->{3.559330277234*^9}],

Cell[BoxData["\<\"The code had computed F[x,t]: \"\>"], "Print",
 CellChangeTimes->{3.559330277237*^9}],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{
   RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
   RowBox[{"x", ",", "t"}], "]"}], "+", 
  RowBox[{
   RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
   RowBox[{"x", ",", "t"}], "]"}], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "1", "]"}], "-", 
       RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"k", "[", "1", "]"}], "+", 
      RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"]], "+", 
  RowBox[{
   RowBox[{"\[Phi]", "[", "3", "]"}], "[", 
   RowBox[{"x", ",", "t"}], "]"}], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "1", "]"}], "-", 
       RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "3", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"k", "[", "1", "]"}], "+", 
      RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "2", "]"}], "-", 
       RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "3", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"k", "[", "2", "]"}], "+", 
      RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "1", "]"}], "-", 
       RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "1", "]"}], "-", 
       RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "2", "]"}], "-", 
       RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}], " ", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "3", "]"}], "[", 
     RowBox[{"x", ",", "t"}], "]"}]}], 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "1", "]"}], "+", 
       RowBox[{"k", "[", "2", "]"}]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "1", "]"}], "+", 
       RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", "[", "2", "]"}], "+", 
       RowBox[{"k", "[", "3", "]"}]}], ")"}], "2"]}]]}]], "Print",
 CellChangeTimes->{3.55933027724*^9}],

Cell[BoxData["\<\"Substituting u[1][x,t] into the original PDE gives: \"\>"], \
"Print",
 CellChangeTimes->{3.5593302775030003`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"alpha", " ", 
    SuperscriptBox[
     RowBox[{"F", "[", 
      RowBox[{"x", ",", "t"}], "]"}], "3"]}]], 
  RowBox[{"12", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["F", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "t"}], "]"}], "2"]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"F", "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"F", "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "-", 
     RowBox[{"6", " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["F", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "t"}], "]"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"F", "[", 
        RowBox[{"x", ",", "t"}], "]"}], "2"], " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"2", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["F", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x", ",", "t"}], "]"}], "2"], " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"3", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"F", "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"3", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "-", 
     RowBox[{"5", " ", 
      RowBox[{"F", "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"4", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"F", "[", 
        RowBox[{"x", ",", "t"}], "]"}], "2"], " ", 
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"5", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"x", ",", "t"}], "]"}]}]}], ")"}]}]}]], "Print",
 CellChangeTimes->{3.559330277506*^9}],

Cell[BoxData["\<\"Substituting F[x,t] into this result should result in 0 \
(zero). Substitution gives (this verification may take some time!): \"\>"], \
"Print",
 CellChangeTimes->{3.559330291078*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{3.5593302910810003`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Time used to check solutions: \"\>", "\[InvisibleSpace]", 
   "8.315`", "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["Time used to check solutions: ", 8.315, " seconds."],
  Editable->False]], "Print",
 CellChangeTimes->{3.559330291084*^9}],

Cell[BoxData["\<\"************************************************************\
*********\"\>"], "Print",
 CellChangeTimes->{3.559330291086*^9}],

Cell[BoxData["\<\"Code HOMOGENIZE-AND-SOLVE.M of October 14, 2012 was \
successfully loaded.\"\>"], "Print",
 CellChangeTimes->{3.5593302910889997`*^9}],

Cell[BoxData["\<\"************************************************************\
*********\"\>"], "Print",
 CellChangeTimes->{3.559330291091*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1160, 633},
WindowMargins->{{46, Automatic}, {Automatic, -18}},
ShowSelection->True,
Magnification->1.5,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1028, 28, 171, "Input"],
Cell[1588, 50, 767, 17, 98, "Input"],
Cell[CellGroupData[{
Cell[2380, 71, 654, 11, 43, "Input"],
Cell[3037, 84, 129, 2, 42, "Output"]
}, Open  ]],
Cell[3181, 89, 186, 5, 43, "Input"],
Cell[3370, 96, 1080, 24, 152, "Input"],
Cell[CellGroupData[{
Cell[4475, 124, 301, 5, 43, "Input"],
Cell[CellGroupData[{
Cell[4801, 133, 142, 2, 32, "Print"],
Cell[4946, 137, 143, 2, 32, "Print"],
Cell[5092, 141, 143, 2, 32, "Print"],
Cell[5238, 145, 143, 2, 32, "Print"],
Cell[5384, 149, 143, 2, 32, "Print"],
Cell[5530, 153, 143, 2, 32, "Print"],
Cell[5676, 157, 148, 2, 32, "Print"],
Cell[5827, 161, 143, 2, 32, "Print"],
Cell[5973, 165, 284, 6, 32, "Print"],
Cell[6260, 173, 125, 2, 32, "Print"],
Cell[6388, 177, 101, 1, 32, "Print"],
Cell[6492, 180, 111, 1, 32, "Print"],
Cell[6606, 183, 106, 1, 32, "Print"],
Cell[6715, 186, 110, 1, 32, "Print"],
Cell[6828, 189, 123, 2, 32, "Print"],
Cell[6954, 193, 130, 2, 32, "Print"],
Cell[7087, 197, 116, 1, 32, "Print"],
Cell[7206, 200, 131, 2, 32, "Print"],
Cell[7340, 204, 121, 2, 32, "Print"],
Cell[7464, 208, 134, 2, 32, "Print"],
Cell[7601, 212, 88, 1, 32, "Print"],
Cell[7692, 215, 90, 1, 32, "Print"],
Cell[7785, 218, 100, 1, 32, "Print"],
Cell[7888, 221, 125, 2, 32, "Print"],
Cell[8016, 225, 95, 1, 32, "Print"],
Cell[8114, 228, 324, 7, 32, "Print"],
Cell[8441, 237, 370, 7, 32, "Print"],
Cell[8814, 246, 1418, 42, 35, "Print"],
Cell[10235, 290, 313, 6, 32, "Print"],
Cell[10551, 298, 126, 2, 32, "Print"],
Cell[10680, 302, 110, 1, 32, "Print"],
Cell[10793, 305, 417, 9, 58, "Print"],
Cell[11213, 316, 812, 29, 53, "Print"],
Cell[12028, 347, 173, 2, 58, "Print"],
Cell[12204, 351, 633, 19, 60, "Print"],
Cell[12840, 372, 158, 2, 32, "Print"],
Cell[13001, 376, 178, 2, 58, "Print"],
Cell[13182, 380, 1273, 39, 61, "Print"],
Cell[14458, 421, 109, 1, 32, "Print"],
Cell[14570, 424, 144, 4, 55, "Print"],
Cell[14717, 430, 109, 1, 32, "Print"],
Cell[14829, 433, 406, 10, 55, "Print"],
Cell[15238, 445, 96, 1, 32, "Print"],
Cell[15337, 448, 2656, 85, 64, "Print"],
Cell[17996, 535, 304, 7, 32, "Print"],
Cell[18303, 544, 341, 7, 32, "Print"],
Cell[18647, 553, 108, 1, 32, "Print"],
Cell[18758, 556, 126, 2, 32, "Print"],
Cell[18887, 560, 111, 1, 32, "Print"],
Cell[19001, 563, 2655, 85, 64, "Print"],
Cell[21659, 650, 126, 2, 32, "Print"],
Cell[21788, 654, 111, 1, 32, "Print"],
Cell[21902, 657, 94, 1, 32, "Print"],
Cell[21999, 660, 2153, 61, 64, "Print"],
Cell[24155, 723, 158, 2, 32, "Print"],
Cell[24316, 727, 361, 11, 32, "Print"],
Cell[24680, 740, 169, 2, 32, "Print"],
Cell[24852, 744, 133, 2, 32, "Print"],
Cell[24988, 748, 209, 6, 38, "Print"],
Cell[25200, 756, 489, 10, 35, "Print"],
Cell[25692, 768, 908, 29, 32, "Print"],
Cell[26603, 799, 300, 6, 32, "Print"],
Cell[26906, 807, 1363, 45, 61, "Print"],
Cell[28272, 854, 488, 10, 35, "Print"],
Cell[28763, 866, 423, 13, 32, "Print"],
Cell[29189, 881, 300, 6, 32, "Print"],
Cell[29492, 889, 1168, 38, 61, "Print"],
Cell[30663, 929, 591, 12, 35, "Print"],
Cell[31257, 943, 590, 12, 35, "Print"],
Cell[31850, 957, 591, 12, 35, "Print"],
Cell[32444, 971, 137, 2, 32, "Print"],
Cell[32584, 975, 228, 3, 58, "Print"],
Cell[32815, 980, 3243, 107, 177, "Print"],
Cell[36061, 1089, 98, 1, 32, "Print"],
Cell[36162, 1092, 2489, 81, 119, "Print"],
Cell[38654, 1175, 144, 2, 32, "Print"],
Cell[38801, 1179, 4225, 112, 119, "Print"],
Cell[43029, 1293, 131, 2, 32, "Print"],
Cell[43163, 1297, 127, 2, 32, "Print"],
Cell[43293, 1301, 118, 1, 32, "Print"],
Cell[43414, 1304, 191, 2, 58, "Print"],
Cell[43608, 1308, 66, 1, 32, "Print"],
Cell[43677, 1311, 307, 6, 32, "Print"],
Cell[43987, 1319, 114, 1, 32, "Print"],
Cell[44104, 1322, 126, 2, 32, "Print"],
Cell[44233, 1326, 132, 2, 32, "Print"],
Cell[44368, 1330, 95, 1, 32, "Print"],
Cell[44466, 1333, 885, 33, 35, "Print"],
Cell[45354, 1368, 140, 2, 32, "Print"],
Cell[45497, 1372, 852, 30, 63, "Print"],
Cell[46352, 1404, 103, 1, 32, "Print"],
Cell[46458, 1407, 3242, 107, 177, "Print"],
Cell[49703, 1516, 132, 2, 32, "Print"],
Cell[49838, 1520, 4757, 164, 147, "Print"],
Cell[54598, 1686, 201, 3, 58, "Print"],
Cell[54802, 1691, 71, 1, 32, "Print"],
Cell[54876, 1694, 303, 6, 32, "Print"],
Cell[55182, 1702, 144, 2, 32, "Print"],
Cell[55329, 1706, 152, 2, 32, "Print"],
Cell[55484, 1710, 144, 2, 32, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
